/**
 * Library WaitWithoutDelay
 *
 * Author: Mario Keller
 * Date: 2012-10-17
 * Description: encapsulates the BlinkWithoutDelay Code in a simple class
 * 
 * This library is public domain and may be used in any purpose 
 **/

#if ARDUINO < 100
#include <WProgram.h>
#else
#include <Arduino.h>
#endif


#ifndef _WaitWithoutDelay_
#define _WaitWithoutDelay_ 1
class WaitWithoutDelay {
   public:
    WaitWithoutDelay(int w=1000);
    boolean wait();
    void set_wait(int w);
    int get_wait();
    
   private:
     boolean start;
     unsigned long last_millis;
     int xwait; 
};

#endif _WaitWithoutDelay_
