#include <WaitWithoutDelay.h>

const int ledPin =  13;      // the number of the LED pin
// Variables will change:
int ledState = LOW;             // ledState used to set the LED

long interval = 1000;           // interval at which to blink (milliseconds)

WaitWithoutDelay* mywait;       // Pointer to the Object

void setup() {
  //create a new WaitWithoutDelay object with the given interval
  mywait = new WaitWithoutDelay(interval);

  // set the digital pin as output:
  pinMode(ledPin, OUTPUT);        
}

void loop() {
  //check if the interval elapsed
  if(mywait->wait()) {
    // if the LED is off turn it on and vice-versa:
    if (ledState == LOW)
      ledState = HIGH;
    else
      ledState = LOW;

    // set the LED with the ledState of the variable:
    digitalWrite(ledPin, ledState);       
  }
  
}


