#include "WaitWithoutDelay.h"

    WaitWithoutDelay::WaitWithoutDelay(int w) {
       start = false;
       last_millis = 0;
       xwait = w; 
    }
    
    boolean WaitWithoutDelay::wait() {
       unsigned long currentMillis = millis();
 
       //wenn erstes wait() dann anfangen zu zählen
       if(!start) {
          start = true;
          last_millis = currentMillis;
       } 
       
       if(currentMillis - last_millis > xwait) {
          last_millis = currentMillis;
          return true; 
       } else {
          return false; 
       }
    }
    
    void WaitWithoutDelay::set_wait(int w) {
         xwait = w; 
    }
    
    int WaitWithoutDelay::get_wait() {
          return xwait;
    }
